[71445] trunk/dports/games
ryandesign at macports.org
ryandesign at macports.org
Mon Sep 13 01:55:06 PDT 2010
Revision: 71445
http://trac.macports.org/changeset/71445
Author: ryandesign at macports.org
Date: 2010-09-13 01:55:02 -0700 (Mon, 13 Sep 2010)
Log Message:
-----------
PlasmaClient: new port, version 207
Added Paths:
-----------
trunk/dports/games/PlasmaClient/
trunk/dports/games/PlasmaClient/Portfile
trunk/dports/games/PlasmaClient/files/
trunk/dports/games/PlasmaClient/files/PlasmaClient.in
Added: trunk/dports/games/PlasmaClient/Portfile
===================================================================
--- trunk/dports/games/PlasmaClient/Portfile (rev 0)
+++ trunk/dports/games/PlasmaClient/Portfile 2010-09-13 08:55:02 UTC (rev 71445)
@@ -0,0 +1,64 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
+# $Id$
+
+PortSystem 1.0
+PortGroup cmake 1.0
+
+name PlasmaClient
+version 0.0-207
+categories games
+platforms darwin
+maintainers ryandesign
+license GPL-3+
+homepage http://plasmaclient.servegame.org/
+
+fetch.type hg
+hg.url http://uru.zrax.net/hg/plasmaclient
+hg.tag 1924af79d98c
+
+# Decompress these into MO:ULa data dir
+#http://stashbox.org/919902/python.zip
+#http://stashbox.org/998132/sdl.zip
+
+depends_lib port:bullet \
+ port:python26 \
+ port:boost \
+ port:jpeg \
+ port:zlib \
+ port:openssl \
+ port:libsdl \
+ port:libhsplasma
+
+# libhsplasma is not universal
+universal_variant no
+
+post-extract {
+ copy ${filespath}/PlasmaClient.in ${workpath}/PlasmaClient
+}
+
+# Uncomment and edit to try out other ages on panic link
+#post-patch {
+# reinplace {s/"Personal"/"Teledahn"/} ${worksrcpath}/plasmalib/prp/physics/pcCollisionDetector.cpp
+#}
+
+post-build {
+ reinplace "s|@PREFIX@|${prefix}|g" ${workpath}/PlasmaClient
+}
+
+destroot.keepdirs ${destroot}${prefix}/var/log/${name}
+
+post-destroot {
+ xinstall -d ${destroot}${applications_dir}/PlasmaClient.app/Contents/MacOS
+ xinstall ${workpath}/PlasmaClient ${destroot}${applications_dir}/PlasmaClient.app/Contents/MacOS
+
+ xinstall -d -m 777 ${destroot}${prefix}/var/log/${name}
+}
+
+notes "
+To run PlasmaClient, write your Myst Online: URU Live again username and password into the preferences plist like this:
+
+ defaults write org.macports.PlasmaClient username YOURUSERNAME
+ defaults write org.macports.PlasmaClient password YOURPASSWORD
+
+(replacing YOURUSERNAME with your username and YOURPASSWORD with your password). Then open PlasmaClient in ${applications_dir}.
+"
Property changes on: trunk/dports/games/PlasmaClient/Portfile
___________________________________________________________________
Added: svn:keywords
+ Id
Added: svn:eol-style
+ native
Added: trunk/dports/games/PlasmaClient/files/PlasmaClient.in
===================================================================
--- trunk/dports/games/PlasmaClient/files/PlasmaClient.in (rev 0)
+++ trunk/dports/games/PlasmaClient/files/PlasmaClient.in 2010-09-13 08:55:02 UTC (rev 71445)
@@ -0,0 +1,29 @@
+#!/bin/sh
+# $Id$
+
+usage() {
+ osascript \
+ -e 'tell app "Finder"' \
+ -e 'activate' \
+ -e 'display dialog (do shell script "@PREFIX@/bin/port -q notes PlasmaClient") buttons "OK" default button 1 with title "PlasmaClient" with icon note' \
+ -e 'end'
+ exit 1
+}
+
+PLIST=org.macports.PlasmaClient
+
+USERNAME="$(defaults read $PLIST username)"
+PASSWORD="$(defaults read $PLIST password)"
+
+if [ -z "$USERNAME" -o -z "$PASSWORD" ]; then
+ usage
+fi
+
+ulimit -n 2000
+
+cd "@PREFIX@/share/mystonline/data"
+
+LOGFILE="@PREFIX@/var/log/PlasmaClient/PlasmaClient.$(date '+%s').log"
+echo "Logging to $LOGFILE"
+
+"@PREFIX@/bin/PlasmaClient" "$USERNAME" "$PASSWORD" > "$LOGFILE" 2>&1
Property changes on: trunk/dports/games/PlasmaClient/files/PlasmaClient.in
___________________________________________________________________
Added: svn:keywords
+ Id
Added: svn:eol-style
+ native
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.macosforge.org/pipermail/macports-changes/attachments/20100913/92565146/attachment.html>
More information about the macports-changes
mailing list